> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/set-dsaddinrootpermission.md).

# Set-DSAddInRootPermission

Set-DSAddInRootPermission ändert die Berechtigung „Add in root“ in einem Devolutions Server-Tresor und steuert, wer Elemente im Root hinzufügen kann.

### Übersicht

Ändern der Berechtigung „Add in root“

### Syntax

#### \_\_AllParameterSets

```
Set-DSAddInRootPermission [-ID] <guid> [-Override] <SecurityRoleOverride> [[-UserIDs] <guid[]>]
 [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Beschreibung

Ändern der Berechtigung „Add in root“. Dies kann nur auf einem Root verwendet werden. Wenn die Root-Berechtigungsüberschreibung „Never“ lautet, wird sie auf „Default“ geändert.

### Beispiele

```powershell
PS C:\> $userIds = Get-DSUsers -All | Where Name -like *@domain.loc | Select -ExpandProperty ID
PS C:\> $userGroupIds = Get-DSRole -All | Where Name -eq UserGroupA | Select -ExpandProperty ID
PS C:\> $ids = $userIds + $userGroupIds
PS C:\> Set-DSAddInRootPermission -ID $rootID -Override CustomInherited -UserIDs $ids
```

Gewähren Sie das Recht, im Root hinzuzufügen, an Benutzer, deren Benutzernamen mit „@domain.loc“ enden, sowie an die Benutzergruppe UserGroupA. Benutzer und Benutzergruppen aus den Standardberechtigungen sollen dieses Recht behalten.

### Parameter

#### -Confirm

Fordert Sie zur Bestätigung auf, bevor das Cmdlet ausgeführt wird.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ID

ID des Roots

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Override

Legt fest, wie die Berechtigung „Add In Root“ aufgelöst wird. Fünf Optionen sind verfügbar: Default => Den Standardwert aus den Einstellungen verwenden. Custom => Angeben, wer im Root hinzufügen kann. Everyone => Entspricht „Allowed“ in der Benutzeroberfläche. Jeder kann im Root hinzufügen. Never => Entspricht „Disallowed“ in der Benutzeroberfläche. Nur Administratoren können im Root hinzufügen. CustomInherited => Eine Mischung aus Default und Custom. Fügen Sie den Standardbenutzern, die im Root hinzufügen können, weitere Benutzer hinzu.

```yaml
Type: Devolutions.RemoteDesktopManager.SecurityRoleOverride
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -UserIDs

IDs von Benutzern, Benutzergruppen und Anwendungen, denen das Recht gewährt wird, im Root hinzuzufügen.

```yaml
Type: System.Guid[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Zeigt, was geschehen würde, wenn das Cmdlet ausgeführt wird. Das Cmdlet wird nicht ausgeführt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die gemeinsamen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Set-DSAddInRootPermission -detailed" ein. Für technische Informationen geben Sie "Get-Help Set-DSAddInRootPermission -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/set-dsaddinrootpermission.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
